<?php

namespace App\Data\Pagarme\Recipient\Parts\Request;

use App\Data\Pagarme\PagarmeData;

final readonly class PhoneNumbersData extends PagarmeData
{
    public function __construct(
        public PhoneData $phone,
    ) {}

    public function toArray(): array
    {
        return [$this->phone->toArray()];
    }
}
